Contacts
Verify a contact (admin)
Marks the contact as verified, recording verifiedBy/verifiedAt and optional verificationSource. Admin or Superadmin only.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/contacts/string/verify" \ -H "Content-Type: application/json" \ -d '{ "verificationSource": "manual" }'{ "message": "Contact verified", "data": { "contact": { "_id": "64f0a1b2c3d4e5f6a7b8c9d0", "firstName": "Jane", "lastName": "Doe" } }}